## muon 1.0.2

=== CMakeLists.txt ===
project(muon)

find_package(KDE4 REQUIRED)
find_package(QApt REQUIRED)
find_package(DebconfKDE REQUIRED)
include (KDE4Defaults)

include( FindPkgConfig )

macro_log_feature(QAPT_FOUND "QApt" "High-level Qt wrapper/Apt implementation around the Apt-pkg library"
                  "http://kubuntu.org" FALSE "" "Muon's package management backend")

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( src )

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(ga)
add_subdirectory(en_GB)
add_subdirectory(uk)
add_subdirectory(nds)
add_subdirectory(fr)
add_subdirectory(da)
add_subdirectory(is)
add_subdirectory(sk)
add_subdirectory(es)
add_subdirectory(eo)
add_subdirectory(ja)
add_subdirectory(et)
add_subdirectory(ru)
add_subdirectory(pt)
add_subdirectory(tr)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(lt)
add_subdirectory(hu)
add_subdirectory(cs)

=== src/CMakeLists.txt ===
set(muon_SRCS
    main.cpp
    MuonMainWindow.cpp
    MainWindow.cpp
    MuonStrings.cpp
    ManagerWidget.cpp
    ReviewWidget.cpp
    DownloadWidget.cpp
    CommitWidget.cpp
    FilterWidget.cpp
    DetailsWidget.cpp
    StatusWidget.cpp
    PackageModel/PackageModel.cpp
    PackageModel/PackageProxyModel.cpp
    PackageModel/PackageView.cpp
    PackageModel/PackageDelegate.cpp
    DetailsTabs/MainTab.cpp
    DetailsTabs/ChangelogTab.cpp
    DetailsTabs/DependsTab.cpp
    DetailsTabs/InstalledFilesTab.cpp
    DetailsTabs/TechnicalDetailsTab.cpp
    DetailsTabs/VersionTab.cpp)

kde4_add_kcfg_files(muon_SRCS GENERATE_MOC config/MuonSettings.kcfgc)
install(FILES config/muon.kcfg DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_executable(muon ${muon_SRCS})

target_link_libraries(muon ${KDE4_KDEUI_LIBS}
                           ${KDE4_KIO_LIBS}
                           ${KDE4_SOLID_LIBS}
                           ${KDE4_PHONON_LIBS}
                           ${QAPT_LIBRARY}
                           debconf-kde)

install(TARGETS muon ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES muon.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES muonui.rc  DESTINATION  ${DATA_INSTALL_DIR}/muon )
install( FILES moo.ogg DESTINATION ${DATA_INSTALL_DIR}/muon )

=== debian/changelog ===
muon (1.0.2-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Sep 2010 18:15:58 -0400

muon (1.0.1-0ubuntu3) maverick; urgency=low

  * Add a manpage (LP: #617465)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 31 Aug 2010 13:56:24 -0400

muon (1.0.1-0ubuntu2) maverick; urgency=low

  * Add a build-depend on apt-xapian-index since we now call it in the
    postinst script

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 26 Aug 2010 20:50:00 -0400

muon (1.0.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Add debian/muon.postinst to run update-apt-xapian-index -u to ensure the
    xapian index is there

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 26 Aug 2010 12:53:00 -0400

muon (1.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 11 Aug 2010 11:09:20 -0400

muon (0.5.0-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 05 Aug 2010 15:24:13 -0400

=== debian/control ===
Source: muon
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev, libqapt-dev, libdebconf-kde-dev
Standards-Version: 3.9.1

Package: muon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime, libdebconf-kde0,
 apt-xapian-index
Description: package manager for KDE
 Muon is a graphical package manager for KDE.
 .
 Features of note include:
  * A powerful, yet intuitive interface
  * Fast, accurate package search using the apt-xapian index and the Synaptic
    search algorithm
  * Support for filtering packages by status and category
  * Media change support
  * Support for configuring packages through the debconf system
  * Warn about/disallow the installation of untrusted packages, depending on
    APT settings
  * Uses Polkit for running privileged actions for enhanced security,
    convenience, and desktop integration
  * Power management suspension during package downloads, installations and
    removals
  * Support for download the latest changelog of a package
  * Package screenshots

Package: muon-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, muon (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: Muon debugging symbols
 This package contains debugging symbols for Muon.
 When Muon crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a Muon crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --dbg-package=muon-dbg --with kde $@

## muon 1.1.2

=== debian/changelog ===
muon (1.1.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 Apr 2011 08:52:41 -0400

muon (1.1.1-0ubuntu1) natty; urgency=low

  * New upstream bugfix release
  * Update the Homepage field in debian/control to the new projects.kde.org
    home page.
  * Update the upstream name field in debian/copyright to "Muon Package
    Management Suite" to reflect branding changes.
  * Update the Source field in debian/copyright to the new KDE Git repository

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 17 Feb 2011 13:14:28 -0500

muon (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 16 Jan 2011 13:54:10 -0500

muon (1.0.95-0ubuntu5) natty; urgency=low

  * debian/copyright:
    - Fix syntax
    - Provide more info about origin of moo.ogg
  * debian/watch:
    - Add watch file

 -- Michael Terry <mterry@ubuntu.com>  Fri, 14 Jan 2011 16:22:45 -0600

muon (1.0.95-0ubuntu4) natty; urgency=low

  * Add missing depenencies on kdesudo and software-properties-kde to the
    libmuonprivate1 package, as these programs are required for running the
    Software Sources editor.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 11 Jan 2011 10:44:31 -0500

muon (1.0.95-0ubuntu3) natty; urgency=low

  * Remove manual depenencies against libdebconf-kde0 from various binary
    packages, since libdebconf-kde is now fixed so that dh_shlibs can pick it
    up as a dependency

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 10 Jan 2011 13:04:31 -0500

muon (1.0.95-0ubuntu2) natty; urgency=low

  * Try to fix the breaks/replaces relationship between libmuonprivate1 and
    older muon packages.
  * Update debian/copyright for new copyright holders

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 04 Jan 2011 16:57:21 -0500

muon (1.0.95-0ubuntu1~maverick1) maverick; urgency=low

  * New upstream release candidate:
    - Add a new libmuonprivate1 package for the new libmuonprivate library
      which was formerly a static library
    - Create debian/not-installed and place the development symlink for
      libmuonprivate in it, since it is a private library
  * Port the packaging to the debhelper 8 standard:
    - Bump debian/compat to 8
    - Bump the build-depend version on debhelper to 8.0.0~
    - Place the debhelper options after the sequence in debian/rules
  * Add a homepage field to debian/control with Muon's homepage

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 03 Jan 2011 14:28:31 -0500

muon (1.0.90-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Remove linker fix patch, applied upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 20 Dec 2010 21:25:02 -0500

muon (1.0.80-0ubuntu2) natty; urgency=low

  * Backport a patch from trunk to support linking with ld when the
    --as-needed link flag is passed.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Dec 2010 21:53:32 -0500

muon (1.0.80-0ubuntu1) natty; urgency=low

  * New upstream beta release:
    - Added a new muon-installer package for the Muon Software Center

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Dec 2010 13:02:27 -0500

muon (1.0.60-0ubuntu1) natty; urgency=low

  * New upstream alpha release: (LP: #632457, #633235, #633295)
    - Bump build-depend version on libqapt-dev to 1.0.60 or greater
    - Add new packages muon-updater and muon-notifier

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Nov 2010 00:31:49 -0400

muon (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Nov 2010 23:25:09 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev, libqapt-dev, libdebconf-kde-dev
+Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake,
+ kdelibs5-dev, libqapt-dev (>= 1.0.90), libdebconf-kde-dev
 Standards-Version: 3.9.1
+Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/
 
 Package: muon
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime, libdebconf-kde0,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
  apt-xapian-index
+Recommends: muon-updater
 Description: package manager for KDE
  Muon is a graphical package manager for KDE.
  .
@@ -30,11 +32,57 @@
   * Support for download the latest changelog of a package
   * Package screenshots
 
+Package: muon-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
+ app-install-data
+Recommends: app-install-data-partner
+Description: Utility for browsing, installing, and removing applications
+ The Muon Software Center lets you browse and install thousands of
+ applications available for Ubuntu. You can view available
+ applications by category, or search quickly by name or description.
+ You can also examine the applications already installed, and remove
+ those you no longer need.
+ .
+ To install or remove software using the Center, you need administrator
+ access on the computer.
+
+Package: muon-updater
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
+Recommends: muon-notifier
+Description: update manager for KDE
+ Muon Updater is a graphical update manager for KDE. It is part of the Muon
+ family of software and provides an interface similar to that of Muon.
+
+Package: muon-notifier
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, muon-updater, update-manager-kde,
+ update-notifier-common
+Description: update notifier for KDE
+ The Muon Notifier is an update notification daemon for KDE. It uses the KDE
+ Daemon frame (KDED) framework to present the user with update notifications,
+ providing an opportunity to launch the Muon Updater to deal with these
+ updates.
+
+Package: libmuonprivate1
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdesudo, software-properties-kde
+Breaks: muon (<< 1.0.95-0ubuntu1)
+Replaces: muon (<< 1.0.95-0ubuntu1)
+Description: Runtime files for the Muon package management suite
+ The Muon package management suite is a collection of package management
+ applications built on the KDE platform.
+ .
+ This package contains runtime libraries
+
 Package: muon-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, muon (= ${binary:Version})
+Depends: ${misc:Depends}, libmuonprivate1 (= ${binary:Version}),
+ muon (= ${binary:Version}) | muon-updater (= ${binary:Version}) |
+ muon-notifier (= ${binary:Version})
 Recommends: kdelibs5-dbg
 Description: Muon debugging symbols
  This package contains debugging symbols for Muon.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=muon-dbg --with kde

## muon 1.2.1

=== debian/changelog ===
muon (1.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release (LP: #837389, #841323, #836967, #838961)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 18 Sep 2011 13:34:06 -0400

muon (1.2.0-0ubuntu3) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 17:40:00 +0200

muon (1.2.0-0ubuntu2) oneiric; urgency=low

  * Re-add ubuntu packaging revisions I accidentally overwrote with the last
    upload.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 12 Aug 2011 00:29:25 -0400

muon (1.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Aug 2011 19:29:11 -0400

muon (1.1.90-0ubuntu3) oneiric; urgency=low

  * Default to not allow installation of untrusted packages (LP: #820638)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Aug 2011 15:10:49 -0400

muon (1.1.90-0ubuntu2) oneiric; urgency=low

  * Re-apply changes from 1.1.80-0ubuntu3 that have been accidentally dropped.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 01 Aug 2011 17:25:34 +0200

muon (1.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 24 Jul 2011 15:03:56 -0400

muon (1.1.85-0ubuntu1) oneiric; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 26 Jun 2011 12:00:21 -0400

muon (1.1.80-0ubuntu3) oneiric; urgency=low

  * Drop zeitgeist-core from Recommends since the zeitgeist integration
    is disabled.
  * Add apt-xapian-index to muon-installer dependencies.
  * Make muon-dbg recommend qapt-dbg.
  * Enable parallel building.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 05 Jun 2011 00:46:45 +0200

muon (1.1.80-0ubuntu2) oneiric; urgency=low

  * Remove the build-dependency against libqzeitgeist-dev. There is not really
    any meaningful zeitgeist integration in KDE for Muon to take advantage of
    at this point. (At least not enough to justify filing an MIR/it taking up
    180 KiB of CD space)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 May 2011 12:12:31 -0400

muon (1.1.80-0ubuntu1) oneiric; urgency=low

  * New upstream beta:
    - Add build-depend on libqzeitgeist-dev for new Zeitgeist support
    - Add build-depend on libqjson-dev for review/rating support

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 16 Mar 2011 13:52:48 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=muon-dbg --with kde --parallel

## muon 1.3.1

=== debian/changelog ===
muon (1.3.1-0ubuntu2) precise; urgency=low

  * Backport update_notifier_auto_hide.diff from 1.3 branch to fix the
    update notifier not going away after updating all packages.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 13 Apr 2012 21:39:11 -0400

muon (1.3.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Bump debhelper compat to 9

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 01 Apr 2012 13:55:35 -0400

muon (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 03 Mar 2012 22:01:53 -0500

muon (1.2.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 29 Jan 2012 11:15:24 -0500

muon (1.2.80-0ubuntu1) oneiric; urgency=low

  * New upstream beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 21 Dec 2011 21:59:41 -0500

muon (1.2.65-0ubuntu1) precise; urgency=low

  * New upstream alpha release:
    - Drop fix_qjson_link_target.diff, applied upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 Nov 2011 19:59:35 -0500

muon (1.2.2-0ubuntu2) precise; urgency=low

  * Add fix_qjson_link_target.diff to adapt to Debian's changes to qjson's
    CMake stuff. (Macro QJSON_LIBRARIES -> qjson_LIBRARIES)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Oct 2011 22:05:14 -0400

muon (1.2.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 23 Oct 2011 17:14:04 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
-Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev, libqapt-dev (>= 1.0.90), libdebconf-kde-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
+ pkg-config, kdelibs5-dev, libqapt-dev (>= 1.2.80), libdebconf-kde-dev,
+ libqjson-dev
+Standards-Version: 3.9.3
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/
 
 Package: muon
@@ -35,7 +36,7 @@
 Package: muon-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
- app-install-data
+ app-install-data, apt-xapian-index
 Recommends: app-install-data-partner
 Description: Utility for browsing, installing, and removing applications
  The Muon Software Center lets you browse and install thousands of
@@ -83,7 +84,7 @@
 Depends: ${misc:Depends}, libmuonprivate1 (= ${binary:Version}),
  muon (= ${binary:Version}) | muon-updater (= ${binary:Version}) |
  muon-notifier (= ${binary:Version})
-Recommends: kdelibs5-dbg
+Recommends: qapt-dbg, kdelibs5-dbg
 Description: Muon debugging symbols
  This package contains debugging symbols for Muon.
  When Muon crashes, in most cases this package is

## muon 1.4.1

=== debian/changelog ===
muon (1.4.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release (LP: #1053910)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 29 Sep 2012 15:08:07 -0400

muon (1.4.0-0ubuntu2) quantal; urgency=low

  * Change muon frontends' dependency on libmuonprivate1 to
    (= ${binary:Version}) to ensure that the versions stay in sync.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 04 Sep 2012 12:06:41 -0400

muon (1.4.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Remove zeitgeist support, as it's currently broken and has been removed
    for 1.5 upstream. (Drop build-dependency)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 15 Aug 2012 21:43:44 -0400

muon (1.3.95-0ubuntu1) quantal; urgency=low

  * New upstream release candidate (LP: #924364)
    - Update muon-discover.install for new files
  * Change dependency on update-manager-kde to ubuntu-release-upgrader-qt
    (LP: #1020631)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 15 Jul 2012 13:23:27 -0400

muon (1.3.80-0ubuntu2) quantal; urgency=low

  * Add build-depend on libqzeitgeist-dev to enable Zeitgeist integration
    now that Muon is in universe.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 Jun 2012 12:50:31 -0400

muon (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release:
    - Remove build-depend on kdelibs5-experimental-dev, it was merged in to
      kdelibs5-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Jun 2012 16:19:24 -0400

muon (1.3.65-0ubuntu2) quantal; urgency=low

  * Only install the proper icons to the muon package.
  * Only install categories.xml to libmuonprivate1.
  * Install .mo files for muon-discover

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 14 May 2012 16:26:59 -0400

muon (1.3.65-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Add new build-dependency on libqoauth-dev
    - Add new build-dependency on kdelibs5-experimental-dev
    - Drop update_notifier_auto_hide.diff, applied upstream
    - Add new binary package muon-discover
    - Bump libqapt-dev build dependency to 1.3.65
  * Bump Standards-Version to 3.9.3.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 13 May 2012 18:17:50 -0400

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
- pkg-config, kdelibs5-dev, libqapt-dev (>= 1.2.80), libdebconf-kde-dev,
- libqjson-dev
-Standards-Version: 3.9.3
+ pkg-config, kdelibs5-dev, libqapt-dev (>= 1.3.65), libdebconf-kde-dev,
+ libqjson-dev, libqoauth-dev
+Standards-Version: 3.9.3.1
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/
 
 Package: muon
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
- apt-xapian-index
+ apt-xapian-index, libmuonprivate1 (= ${binary:Version})
 Recommends: muon-updater
 Description: package manager for KDE
  Muon is a graphical package manager for KDE.
@@ -36,7 +36,7 @@
 Package: muon-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
- app-install-data, apt-xapian-index
+ app-install-data, apt-xapian-index, libmuonprivate1 (= ${binary:Version})
 Recommends: app-install-data-partner
 Description: Utility for browsing, installing, and removing applications
  The Muon Software Center lets you browse and install thousands of
@@ -48,9 +48,22 @@
  To install or remove software using the Center, you need administrator
  access on the computer.
 
+Package: muon-discover
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
+ app-install-data, apt-xapian-index, libmuonprivate1 (= ${binary:Version})
+Recommends: app-install-data-partner, ubuntu-sso-client
+Description: Utility for browsing, installing, and removing applications
+ Muon Discover will help you browse through the huge applications library you
+ have available and help you find the applications you're looking for.
+ .
+ To install or remove software using the Center, you need administrator
+ access on the computer.
+
 Package: muon-updater
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
+ libmuonprivate1 (= ${binary:Version})
 Recommends: muon-notifier
 Description: update manager for KDE
  Muon Updater is a graphical update manager for KDE. It is part of the Muon
@@ -58,8 +71,8 @@
 
 Package: muon-notifier
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, muon-updater, update-manager-kde,
- update-notifier-common
+Depends: ${shlibs:Depends}, ${misc:Depends}, muon-updater,
+ ubuntu-release-upgrader-qt, update-notifier-common
 Description: update notifier for KDE
  The Muon Notifier is an update notification daemon for KDE. It uses the KDE
  Daemon frame (KDED) framework to present the user with update notifications,
@@ -69,8 +82,8 @@
 Package: libmuonprivate1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, kdesudo, software-properties-kde
-Breaks: muon (<< 1.0.95-0ubuntu1)
-Replaces: muon (<< 1.0.95-0ubuntu1)
+Breaks: muon-installer (<< 1.3.65-0ubuntu2)
+Replaces: muon-installer (<< 1.3.65-0ubuntu2)
 Description: Runtime files for the Muon package management suite
  The Muon package management suite is a collection of package management
  applications built on the KDE platform.

## muon 1.9.80

=== debian/changelog ===
muon (1.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 Jan 2013 14:08:46 -0500

muon (1.9.65-0ubuntu1) raring; urgency=low

  * New upstream alpha release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Dec 2012 15:15:04 -0500

muon (1.9.60-0ubuntu2) raring-proposed; urgency=low

  * Replace Depends on libqapt-runtime with libqapt2-runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 31 Oct 2012 18:10:17 -0400

muon (1.9.60-0ubuntu1) raring-proposed; urgency=low

  * New upstream alpha release:
    - Add build-depend on libattica-dev for KNewStuff backend support.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 29 Oct 2012 15:21:15 -0400

## muon 2.0.0

=== debian/changelog ===
muon (2.0.0-0ubuntu3) raring; urgency=low

  * Add kubuntu_01_fix_dist_upgrader_path.diff to properly launch the dist
    upgrading utility. (LP: #1172056)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Apr 2013 18:30:57 +0100

muon (2.0.0-0ubuntu2) raring; urgency=low

  * Add kubuntu_fix_ffinstaller_startup_crash.diff to stop a crash on startup
    when muon-installer starts up too quickly and tries to access the
    ResourcesModel too early. This fix aborts the too-early call, deferring
    it until the signal that everything else is ready. Cherry-picked from
    upstream 2.0 branch.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 18 Apr 2013 11:17:29 -0400

muon (2.0.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Apr 2013 16:40:06 -0400

muon (1.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 12 Mar 2013 21:44:05 -0400

muon (1.9.95-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 10 Mar 2013 12:50:02 -0400

## muon 2.0.1

=== debian/changelog ===
muon (2.0.1-0ubuntu0.2) raring-proposed; urgency=low

  * Add upstream_releasechecker-needs-python3-now.patch to fix on-demand
    release checking (LP: #1242163)

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 19 Oct 2013 22:45:14 +0200

muon (2.0.1-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release: (LP: #1185864)
    - Remove kubuntu_fix_ffinstaller_startup_crash.diff, applied upstream
    - Remove kubuntu_01_fix_dist_upgrader_path.diff, applied upstream
    - Remove kubuntu_02_fix_disabled_apply_button.diff, applied upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 May 2013 11:44:25 -0400

muon (2.0.0-0ubuntu3.1) raring-proposed; urgency=low

  * Add kubuntu_02_fix_disabled_apply_button.diff to properly re-enable the
    "Install Updates" button after checking for updates yields new updates
    (LP: #1172803)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Apr 2013 13:54:56 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
- pkg-config, kdelibs5-dev, libqapt-dev (>= 1.3.65), libdebconf-kde-dev,
- libqjson-dev, libqoauth-dev
-Standards-Version: 3.9.3.1
+ pkg-config, kdelibs5-dev, libqapt-dev (>= 1.9.80), libdebconf-kde-dev,
+ libqjson-dev, libqoauth-dev, libattica-dev
+Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/
 
 Package: muon
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime,
  apt-xapian-index, libmuonprivate1 (= ${binary:Version})
 Recommends: muon-updater
 Description: package manager for KDE
@@ -35,7 +35,7 @@
 
 Package: muon-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime,
  app-install-data, apt-xapian-index, libmuonprivate1 (= ${binary:Version})
 Recommends: app-install-data-partner
 Description: Utility for browsing, installing, and removing applications
@@ -50,7 +50,7 @@
 
 Package: muon-discover
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime,
  app-install-data, apt-xapian-index, libmuonprivate1 (= ${binary:Version})
 Recommends: app-install-data-partner, ubuntu-sso-client
 Description: Utility for browsing, installing, and removing applications
@@ -62,7 +62,7 @@
 
 Package: muon-updater
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt-runtime,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt2-runtime,
  libmuonprivate1 (= ${binary:Version})
 Recommends: muon-notifier
 Description: update manager for KDE

## muon 2.0.65+git20131008

=== CMakeLists.txt ===
project(muon)

set(CMAKE_MODULE_PATH "${muon_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

set(KDE_MIN_VERSION "4.7.0")
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(QApt QUIET)
find_package(DebconfKDE QUIET)
find_package(QtOAuth REQUIRED)
find_package(QCA2 REQUIRED) #required by QtOAuth
find_package(QJSON REQUIRED)
find_package(LibAttica QUIET)
find_package(BODEGA QUIET)


include (KDE4Defaults)
include( FindPkgConfig )

if(NOT qjson_LIBRARIES) #hack to compatibilize different qjson finder versions
    set(qjson_LIBRARIES ${QJSON_LIBRARIES})
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES} ${QAPT_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR} ${QCA2_INCLUDE_DIR}
                    ${QJSON_INCLUDE_DIR}
                    ${CMAKE_SOURCE_DIR}/libmuon ${CMAKE_BINARY_DIR}/libmuon)

add_subdirectory(libmuon)
if(QAPT_FOUND)
	add_subdirectory(libmuonapt)
    add_subdirectory(muon)
    add_subdirectory(installer)
    add_subdirectory(kded)
endif(QAPT_FOUND)
add_subdirectory(updater)
add_subdirectory(discover)
add_subdirectory(exporter)

macro_log_feature(QAPT_FOUND "LibQApt" "Qt wrapper around the libapt-pkg library"
                  "http://www.kde.org" FALSE "" "Required to build the APT backend")
macro_log_feature(LIBATTICA_FOUND "LibAttica" "Qt library that implements the Open Collaboration Services API"
                  "http://www.kde.org" FALSE "" "Required to build the KNewStuff3 backend")
macro_log_feature(BODEGA_FOUND "Bodega" "Library that exposes Bodega resources"
                  "http://www.kde.org" FALSE "" "Required to build the Bodega backend")

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ca)
add_subdirectory(pl)
add_subdirectory(uk)
add_subdirectory(cs)
add_subdirectory(zh_CN)
add_subdirectory(gl)
add_subdirectory(el)
add_subdirectory(da)
add_subdirectory(fr)
add_subdirectory(zh_TW)
add_subdirectory(ru)
add_subdirectory(fi)
add_subdirectory(de)
add_subdirectory(ko)
add_subdirectory(ro)
add_subdirectory(hu)
add_subdirectory(sr@ijekavian)
add_subdirectory(kk)
add_subdirectory(it)
add_subdirectory(tr)
add_subdirectory(sl)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(nb)
add_subdirectory(sr@latin)
add_subdirectory(sk)
add_subdirectory(nl)
add_subdirectory(bs)
add_subdirectory(et)
add_subdirectory(sv)
add_subdirectory(sr)
add_subdirectory(pt_BR)
add_subdirectory(lt)
add_subdirectory(es)
add_subdirectory(pt)

=== debian/changelog ===
muon (2.0.65+git20131008-0ubuntu4) saucy; urgency=low

  * Add upstream_dont_crash_if_fetching_origins.patch
    Fixes muon software center always crashing after a couple of seconds.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 15 Oct 2013 12:58:24 +0200

muon (2.0.65+git20131008-0ubuntu3) saucy; urgency=low

  * New upstream bugfix snapshot from 2.1 branch
   - fixes LP: #1236803 "muon-discover gets stuck on changing tabs"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Oct 2013 14:37:42 +0100

muon (2.0.65-0ubuntu2) saucy; urgency=low

  * Add kubuntu_featured_sources.diff to change location of featured
    apps

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Aug 2013 14:36:35 +0100

muon (2.0.65-0ubuntu1) saucy; urgency=low

  * New upstream alpha release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 Jun 2013 11:54:04 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
- pkg-config, kdelibs5-dev, libqapt-dev (>= 1.9.80), libdebconf-kde-dev,
+ pkg-config, kdelibs5-dev, libqapt-dev (>= 2.0.65), libdebconf-kde-dev,
  libqjson-dev, libqoauth-dev, libattica-dev
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/

## muon 2.1.3

=== libmuon/CMakeLists.txt ===
add_subdirectory(backends)
add_subdirectory(declarative)

set(muon_LIB_SRCS
    Category/Category.cpp
    Category/CategoryModel.cpp
    Category/CategoriesReader.cpp
    MuonMainWindow.cpp
    ReviewsBackend/AbstractReviewsBackend.cpp
    ReviewsBackend/Rating.cpp
    ReviewsBackend/Review.cpp
    ReviewsBackend/AbstractLoginBackend.cpp
    ReviewsBackend/ReviewsModel.cpp
    settings/SettingsPageBase.cpp
    settings/NotifySettingsPage.cpp
    Transaction/AddonList.cpp
    Transaction/Transaction.cpp
    Transaction/TransactionListener.cpp
    Transaction/TransactionModel.cpp
    resources/ResourcesModel.cpp
    resources/ResourcesProxyModel.cpp
    resources/AbstractResourcesBackend.cpp
    resources/AbstractResource.cpp
    resources/PackageState.cpp
    resources/AbstractBackendUpdater.cpp
    resources/ResourcesUpdatesModel.cpp
    resources/StandardBackendUpdater.cpp
    MuonBackendsFactory.cpp
    ScreenshotsModel.cpp
    ApplicationAddonsModel.cpp
)

kde4_add_kcfg_files(muon_LIB_SRCS GENERATE_MOC MuonDataSources.kcfgc)
kde4_add_library(muonprivate SHARED ${muon_LIB_SRCS})

set_target_properties(muonprivate PROPERTIES
    VERSION 2.1.3
    SOVERSION 2
)

target_link_libraries(muonprivate
    ${QT_QTXML_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PHONON_LIBS}
    ${KDE4_SOLID_LIBS} 
)

install(TARGETS muonprivate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES moo.ogg DESTINATION ${DATA_INSTALL_DIR}/libmuon)

install(FILES
    muonbackendplugin.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== debian/changelog ===
muon (2.1.3-0ubuntu0.2) saucy-proposed; urgency=low

  * Add upstream_Small-logic-bug.patch to fix application listing.
    LP: #1274626

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 04 Feb 2014 13:24:12 +0100

muon (2.1.3-0ubuntu0.1) saucy-proposed; urgency=low

  * New upstrem release (LP: #1274626)
  * Refreshed kubuntu_featured_sources.diff

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 30 Jan 2014 18:59:18 +0100

muon (2.1.2-0ubuntu0.1) saucy-proposed; urgency=medium

  * New upstream release (LP: #1261812)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 18 Dec 2013 16:06:47 +0100

muon (2.1.1-0ubuntu0.1) saucy; urgency=low

  * SRU to saucy LP: #1250114
  * Rename libmuonprivate2 back to libmuonprivate1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Nov 2013 14:58:26 +0000

muon (2.1.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Rename libmuonprivate1 to libmuonprivate2 to match the soname

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Nov 2013 20:14:55 +0100

muon (2.1.0-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Drop upstream_dont_crash_if_fetching_origins.patch

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 23 Oct 2013 18:22:31 +0200
